Skip to main content
GET
/
v1
/
runs
/
{run_id}
/
schema
Get events schema for a single experiment run
curl --request GET \
  --url https://api.dp1.us.honeyhive.ai/v1/runs/{run_id}/schema \
  --header 'Authorization: Bearer <token>'
{
  "fields": [
    {
      "name": "<string>",
      "event_type": "<string>"
    }
  ],
  "datasets": [
    "<string>"
  ],
  "mappings": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string<uuid>
required

Experiment run ID (UUIDv4)

Query Parameters

dateRange

Filter by date range

Response

Events schema retrieved successfully

Response for GET /events/schema, GET /runs/{run_id}/schema, and GET /runs/schema

fields
object[]
required
datasets
string[]
required
mappings
object
required